{
    "path": "$OET_PATH/testcases/function_test/pkg_test/dbus/dbus-daemon",
    "machine num": 1,
    "cases": [
        {
            "name": "test_dbus-daemon_dbus-launch_--sh-syntax",
            "desc": "测试 dbus-launch 命令的 --sh-syntax 参数"
        },
        {
            "name": "test_dbus-daemon_dbus-send_help",
            "desc": "测试 dbus-send 的 --help 参数，验证帮助信息是否正确显示"
        },
        {
            "name": "test_dbus-daemon_dbus-send_dest",
            "desc": "测试 dbus-send 的 --dest=NAME 参数，验证目标名称设置是否正确"
        },
        {
            "name": "test_dbus-daemon_dbus-send_print-reply-literal",
            "desc": "测试 dbus-send 的 --print-reply=literal 参数，验证字面回复打印功能是否正常"
        },
        {
            "name": "test_dbus-daemon_function_restart",
            "desc": "测试dbus-daemon服务的重启功能"
        },
        {
            "name": "test_dbus-daemon_function_status",
            "desc": "测试dbus-daemon服务的状态查询功能"
        },
        {
            "name": "test_dbus-daemon_dbus-cleanup-sockets_help",
            "desc": "测试dbus-cleanup-sockets命令的帮助选项"
        },
        {
            "name": "test_dbus-daemon_dbus-run-session_--version",
            "desc": "测试dbus-run-session的版本信息显示功能"
        },
        {
            "name": "test_dbus-daemon_service_present",
            "desc": "验证dbus-system或dbus-socket服务单元存在"
        },
        {
            "name": "test_dbus-daemon_dbus-daemon_introspect",
            "desc": "测试 dbus-daemon 命令的 --introspect 参数，以 XML 格式输出总线上的对象"
        },
        {
            "name": "test_dbus-daemon_dbus-run-session_help",
            "desc": "测试 dbus-run-session 命令的 --help 参数，验证其是否能正确输出帮助信息"
        },
        {
            "name": "test_dbus-daemon_dbus-run-session_program",
            "desc": "测试 dbus-run-session 命令的基本功能，验证其能否成功启动一个会话并运行指定的程序"
        },
        {
            "name": "test_dbus-daemon_dbus-daemon_version",
            "desc": "测试dbus-daemon命令的--version参数，用于显示版本信息"
        },
        {
            "name": "test_dbus-daemon_dbus-daemon_syslog-only",
            "desc": "测试dbus-daemon命令的--syslog-only参数，用于仅将消息记录到syslog"
        },
        {
            "name": "test_dbus-daemon_function_bus_monitor",
            "desc": "测试使用dbus-monitor监听总线消息"
        }
    ]
}